# ncurses 5.9 - patch 20130324 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20130324.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Mon Mar 25 00:03:56 UTC 2013
# ------------------------------------------------------------------------------
# NEWS                     |    8 ++++++--
# aclocal.m4               |    6 +++---
# configure                |    2 +-
# dist.mk                  |    4 ++--
# package/debian/changelog |    4 ++--
# package/ncurses.spec     |    2 +-
# 6 files changed, 15 insertions(+), 11 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2036 
--- ncurses-5.9-20130323+/NEWS	2013-03-23 21:04:57.000000000 +0000
+++ ncurses-5.9-20130324/NEWS	2013-03-24 23:58:07.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2036 2013/03/23 21:04:57 tom Exp $
+-- $Id: NEWS,v 1.2038 2013/03/24 23:58:07 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,10 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20130324
+	+ build-fix for libtool configuration (reports by Daniel Silva Ferreira
+	  and Roumen Petrov).
+
 20130323
 	+ build-fix for OS X, to handle changes for --with-cxx-shared feature
 	  (report by Christian Ebert).
@@ -79,7 +83,7 @@
 	+ add configure option --with-cxx-shared to permit building
 	  libncurses++ as a shared library when using g++, e.g., the same
 	  limitations as libtool but better integrated with the usual build
-	  configuration (Redhat 911540).
+	  configuration (Redhat #911540).
 	+ modify MKkey_defs.sh to filter out build-path which was unnecessarily
 	  shown in curses.h (Debian #689131).
 
Index: aclocal.m4
Prereq:  1.660 
--- ncurses-5.9-20130323+/aclocal.m4	2013-03-23 22:34:35.000000000 +0000
+++ ncurses-5.9-20130324/aclocal.m4	2013-03-24 21:10:41.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: aclocal.m4,v 1.660 2013/03/23 22:34:35 tom Exp $
+dnl $Id: aclocal.m4,v 1.661 2013/03/24 21:10:41 tom Exp $
 dnl Macros used in NCURSES auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -3068,7 +3068,7 @@
 	AC_SUBST(LIB_PREFIX)
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_LIB_RULES version: 70 updated: 2013/03/23 17:00:30
+dnl CF_LIB_RULES version: 72 updated: 2013/03/24 17:10:41
 dnl ------------
 dnl Append definitions and rules for the given models to the subdirectory
 dnl Makefiles, and the recursion rule for the top-level Makefile.  If the
@@ -3216,7 +3216,7 @@
 		fi
 
 		if test $cf_dir = c++; then
-			if test "x$with_shared_cxx" != xyes; then
+			if test "x$with_shared_cxx" != xyes && test -n "$cf_shared_suffix"; then
 				cf_list=
 				for cf_item in $Libs_To_Make
 				do
Index: configure
--- ncurses-5.9-20130323+/configure	2013-03-23 22:36:20.000000000 +0000
+++ ncurses-5.9-20130324/configure	2013-03-24 23:40:56.000000000 +0000
@@ -21815,7 +21815,7 @@
 		fi
 
 		if test $cf_dir = c++; then
-			if test "x$with_shared_cxx" != xyes; then
+			if test "x$with_shared_cxx" != xyes && test -n "$cf_shared_suffix"; then
 				cf_list=
 				for cf_item in $Libs_To_Make
 				do
Index: dist.mk
Prereq:  1.920 
--- ncurses-5.9-20130323+/dist.mk	2013-03-23 13:19:54.000000000 +0000
+++ ncurses-5.9-20130324/dist.mk	2013-03-24 21:23:41.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.920 2013/03/23 13:19:54 tom Exp $
+# $Id: dist.mk,v 1.921 2013/03/24 21:23:41 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20130323
+NCURSES_PATCH = 20130324
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: package/debian/changelog
--- ncurses-5.9-20130323+/package/debian/changelog	2013-03-23 21:02:51.000000000 +0000
+++ ncurses-5.9-20130324/package/debian/changelog	2013-03-24 21:23:41.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20130323) unstable; urgency=low
+ncurses6 (5.9-20130324) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 23 Mar 2013 17:02:48 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 24 Mar 2013 17:23:38 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/ncurses.spec
--- ncurses-5.9-20130323+/package/ncurses.spec	2013-03-23 21:02:51.000000000 +0000
+++ ncurses-5.9-20130324/package/ncurses.spec	2013-03-24 21:23:41.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Release: 5.9
-Version: 20130323
+Version: 20130324
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{release}-%{version}.tgz
